# $Revision: 1.41 $, $Date: 2011/10/16 12:56:49 $
Summary:	Fast and lightweight IDE using GTK+2
Summary(pl.UTF-8):	Szybkie i lekkie IDE używające GTK+2
Name:		geany
Version:	0.21
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://download.geany.org/%{name}-%{version}.tar.bz2
# Source0-md5:	117d78ae5275c8c517686b6db9d71ef1
Patch0:		%{name}-desktop.patch
URL:		http://www.geany.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Obsoletes:	geany-plugin-vcdiff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geany is a small and lightweight integrated development environment.
It was developed to provide a small and fast IDE, which has only a few
dependencies from other packages. Another goal was to be as
independent as possible from a special Desktop Environment like KDE or
GNOME.

Basic features of Geany
- syntax highlighting
- code completion
- auto completion of often used constructs like if, for and while
- auto completion of XML and HTML tags
- call tips
- many supported filetypes like C, Java, PHP, HTML, Python, Perl,
  Pascal
- symbol lists

%description -l pl.UTF-8
Geany jest małym i lekkim zintegrowanym środowiskiem programistycznym.
Został napisany z myślą o byciu małym i szybkim IDE, z małą liczbą
zależności od innych pakietów. Kolejnym, przyświecającym tworzeniu go
celem było maksymalne uniezależnienie od konkretnego środowiska
graficznego jak KDE czy GNOME.

Podstawowe cechy Geany to:
- podświetlanie składni
- uzupełnianie kodu
- automatyczne uzupełnianie często używanych konstrukcji jak if, fi
  while
- automatyczne uzupełnianie znaczników XML i HTML
- wyświetlanie podpowiedzi
- wiele wspieranych typów plików jak C, Java, PHP, Python, Perl,
  Pascal
- wykazy symboli

%package devel
Summary:	Header files for geany
Summary(pl.UTF-8):	Pliki nagłówkowe dla geany
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for geany.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla geany.

%package plugin-classbuilder
Summary:	Plugin for class maintenance in geany
Summary(pl.UTF-8):	Wtyczka do zarządzenia klasami w geany
Group:		Libraries

%description plugin-classbuilder
Plugin that allows maintenance of classes within geany.

%description plugin-classbuilder -l pl.UTF-8
Wtyczka pozwalająca na zarządzanie klasami w geany.

%package plugin-export
Summary:	Plugin for exporting projects from geany
Summary(pl.UTF-8):	Wtyczka do eksportowania projektów z geany
Group:		Libraries

%description plugin-export
Plugin that allows exporting projects from geany into various formats
(HTML and LaTeX by now).

%description plugin-export -l pl.UTF-8
Wtyczka służąca do eksportowania projektów z geany do różnych formatów
(aktualnie HTML i LaTeX).

%package plugin-htmlchars
Summary:	Plugin for enhanced HTML editing in geany
Summary(pl.UTF-8):	Wtyczka z rozszerzeniami do edycji HTML w geany
Group:		Libraries

%description plugin-htmlchars
Plugin containing a library of special HTML tags.

%description plugin-htmlchars -l pl.UTF-8
Wtyczka zawierająca bibliotekę znaczników specjalnych HTML.

%package plugin-filebrowser
Summary:	Sidebar File Browser plugin
Summary(pl.UTF-8):	Panel boczny do przeglądania systemu plików
Group:		Libraries

%description plugin-filebrowser
Sidebar File Browser.

%description plugin-filebrowser -l pl.UTF-8
Przeglądarka plików w panelu bocznym.

%package plugin-saveactions
Summary:	Provides different actions related to saving files
Summary(pl.UTF-8):	Wtyczka do automatycznego zapisu plików
Group:		Libraries
Provides:	geany-plugin-autosave
Obsoletes:	geany-plugin-autosave

%description plugin-saveactions
Provides different actions related to saving files (autosave,
instantsave, backupcopy).

%description plugin-saveactions -l pl.UTF-8
Wtyczka umożliwiająca wybór rodzaju zapisu pliku (autozapis, zapis
ciągły, kopia zapasowa).

%package plugin-splitwindow
Summary:	Splits the editor view into two windows
Summary(pl.UTF-8):	Wtyczka dzieląca okno na dwie części
Group:		Libraries

%description plugin-splitwindow
Splits the editor view into two windows.

%description plugin-splitwindow -l pl.UTF-8
Wtyczka dzieląca okno na dwie części.

%prep
%setup -q
%patch0 -p1

%build
mkdir m4
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--docdir=%{_docdir}/%{name}-%{version}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.ico

# fix locales
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/lb

%find_lang %{name}
%{!?_noautocompressdoc:find $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} -not -name '*.html' -not -name '*.png' -exec gzip '{}' ';'}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
#%{_pixmapsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/geany.png
%{_iconsdir}/hicolor/48x48/apps/geany.png
%{_iconsdir}/hicolor/scalable/apps/geany.svg
%{_mandir}/man1/%{name}.1*
%dir %{_libdir}/%{name}
%doc %{_docdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_libdir}/%{name}/*.la
%{_pkgconfigdir}/*.pc

%files plugin-classbuilder
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/classbuilder.so
%{_iconsdir}/hicolor/16x16/apps/classviewer-class.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-macro.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-member.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-method.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-namespace.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-other.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-struct.png
%{_iconsdir}/hicolor/16x16/apps/classviewer-var.png

%files plugin-export
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/export.so

%files plugin-htmlchars
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/htmlchars.so

%files plugin-saveactions
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/saveactions.so

%files plugin-splitwindow
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/splitwindow.so

%files plugin-filebrowser
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/filebrowser.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geany.spec,v $
Revision 1.41  2011/10/16 12:56:49  kiesiu
- updated to 0.21

Revision 1.40  2011/05/22 19:39:36  kiesiu
- updated to 0.20

Revision 1.39  2010/12/03 23:07:56  dirdival
- updated to 0.19.2

Revision 1.38  2010/11/24 11:24:20  hawk
- release 2

Revision 1.37  2010/08/24 10:46:59  dirdival
- updated to 0.19.1

Revision 1.36  2010/06/12 22:25:45  dirdival
- updated to 0.19

Revision 1.35  2010/02/19 21:59:01  sparky
- dropped unused BR: libpng12-devel (!), vte-devel, which

Revision 1.34  2010/02/19 21:34:29  dirdival
- up to 0.18.1
- BR: libpng12-devel

Revision 1.33  2010/01/19 13:53:27  glen
- cosmetics

Revision 1.32  2010/01/06 00:16:02  sparky
- BR: which (for some pointless C++ check in configure.in)

Revision 1.31  2010/01/05 23:12:14  hawk
- locale fixes

Revision 1.30  2009/08/17 04:11:43  aredridel
- 0.18

Revision 1.29  2009/05/08 08:46:34  duddits
- BR: intltool
- O: geany-plugin-vcdiff
- P: and O: for plugin-saveactions (replaces plugin-autosave)

Revision 1.28  2009/05/08 05:16:34  duddits
- up to 0.17
- %build: 's/%{__glib_gettextize}/%{__intltoolize}/'
- vcdiff plugin removed (see release notes)
- autosave plugin -> saveactions plugin (more fancy stuff)
- new splitwindow plugin
- desktop.patch updated

Revision 1.27  2008/06/23 20:36:21  adamg
- call libtoolize (+BR: libtool)
- devel subpkg
- adapterized
- release 2

Revision 1.26  2008/06/23 20:00:03  adamg
- dummy commit; seems like fetchsrc_request stopped working

Revision 1.25  2008-04-20 10:28:17  twittner
- up to 0.14
- removed -doc_dir.patch - make use of './configure --docdir'

Revision 1.24  2008-04-11 13:03:46  alucard
- up to 0.13
- new plugins: vcdiff, autosave, filebrowser

Revision 1.23  2008-01-12 20:28:42  qboosh
- file perms fix, unified spelling

Revision 1.22  2007-10-10 22:51:06  alucard
- up to 0.12
- subpackages with plugins (new in this release)

Revision 1.21  2007/10/02 09:19:11  alucard
- up to 0.11

Revision 1.20  2007/02/27 10:52:06  alucard
- up to 0.10.2 (bugfix)

Revision 1.19  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.17  2007/01/10 12:28:04  alucard
- version up to 0.10, removed patch already in mainstream

Revision 1.16  2006/08/12 16:12:12  freetz
- fix --as-needed build (patch added), rel.2

Revision 1.15  2006/08/11 23:02:19  freetz
- 0.8, updated file list

Revision 1.14  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.13  2006/07/24 19:08:56  freetz
- disabled --as-needed, not very usable on HEAD (crash at startup caused by
  double-free)

Revision 1.12  2006/07/24 18:24:28  qboosh
- merged update to 0.7.1 from AC-branch

Revision 1.11  2006/06/04 22:47:57  aredridel
- 0.7

Revision 1.10  2006/05/01 11:19:52  freetz
- 0.6

Revision 1.9  2006/02/02 15:06:33  freetz
- more BR

Revision 1.8  2006/02/02 14:59:22  freetz
- 0.5

Revision 1.7  2005/12/22 18:09:29  freetz
- 0.4, run glib-gettextize

Revision 1.6  2005/11/24 23:17:19  qboosh
- pl cosmetics

Revision 1.5  2005/11/24 08:59:20  darekr
- BR: ac, am

Revision 1.4  2005/11/22 21:11:53  freetz
- more BR

Revision 1.3  2005/11/22 21:08:13  freetz
- pl, fixed summary/desription

Revision 1.2  2005/11/22 20:30:42  paladine
- adapterized
- cleanups
- added doc_dir and desktop patch
- proper license
- more BRs
- package locales
- rel. 2

Revision 1.1  2005/11/21 05:52:07  aredridel
- added
